Subject: powerpoppers.com online form submission

From: [email-masked]
Date: Tue, 30 Aug 2016 21:43:49 -0000

Submitted by: Joshua Littlefield 
Submitter's email: [email-masked]

 Good afternoon this is my fourth time returning to your site   The first two times I had bad experience with your shipping packages leaking  The last time I ordered from you guys you guys put it in a box each bottle of it and individually  and that was awesome I had no problems with leaking models or broken bottles.  I hope that my package this time will be sent the same way    After all this is my fourth time ordering with you guys and I absolutely love your products   Please  package my bottles so they will not break or leak out thank you very much   And I will be returning to your site for a fifth time I am sure

IP = 107.77.109.23